%global dlrn_nvr ansible-role-container-registry-1.1.1.dev9-0.20191122160512.7a2a664
%global dlrn 1
%define upstream_version 1.1.1.dev9
%{lua: posix.setenv("RHEL_ALLOW_PYTHON2_FOR_BUILD",1)}
%{!?upstream_version: %global upstream_version %{commit}}
%global commit 87dbb2732752872c29913abc2d18ca3eddec64c8
%global shortcommit %(c=%{commit}; echo ${c:0:7})
# DO NOT REMOVE ALPHATAG
%global alphatag .%{shortcommit}git
# Macros for py2/py3 compatibility
%if 0%{?fedora} || 0%{?rhel} > 7
%global pyver %{python3_pkgversion}
%else
%global pyver 2
%endif
%global pyver_sitelib %python%{pyver}_sitelib
%global pyver_install %py%{pyver}_install
%global pyver_build %py%{pyver}_build
# End of macros for py2/py3 compatibility
%global srcname ansible_role_container_registry
%global rolename ansible-role-container-registry

%{!?upstream_version: %global upstream_version %{version}%{?milestone}}

Name:           %{rolename}
Version: 1.1.1
Release: 0.20191122160512.7a2a664%{?dist}
Summary:        Ansible role to deploy a container registry.

Group:          System Environment/Base
License:        ASL 2.0
URL:            https://opendev.org/openstack/ansible-role-container-registry
Source0: ansible-role-container-registry-1.1.1.dev9-0.20191122160512.7a2a664.tar.gz

#
# patches_ignore=DROP-IN-RPM
# patches_base=7a2a664a8431d5427bb20474a770dd4cbb5da2e3

BuildArch:      noarch
BuildRequires:  git
BuildRequires:  python%{pyver}-devel
BuildRequires:  python%{pyver}-setuptools
BuildRequires:  python%{pyver}-pbr

# Handle python2 exception
%if %{pyver} == 2
BuildRequires:  python-d2to1
Requires:       ansible
%else
BuildRequires:  python%{pyver}-d2to1
%if 0%{?rhel} > 7
Requires: ansible
%else
Requires: ansible-python3
%endif
%endif


%description

Ansible role to deploy a container registry

%prep
%autosetup -n %{rolename}-%{upstream_version} -S git


%build
%{pyver_build}


%install
export PBR_VERSION=%{version}
export SKIP_PIP_INSTALL=1
%{pyver_install}


%files
%doc README*
%license LICENSE
%{pyver_sitelib}/%{srcname}-*.egg-info
%{_datadir}/ansible/roles/


%changelog
* Fri Nov 22 2019 OSP Prod Chain <dev-null@redhat.com> 1.0.1-0.1.87dbb27git
- Update patches
- Don't stop containers before docker package update

* Thu Oct 24 2019 OSP Prod Chain <dev-null@redhat.com> 1.0.1-0.1.3bc2bf4git
- Update patches
- Merge "Disable docker iptables support"
- Disable docker iptables support

* Thu Oct 24 2019 OSP Prod Chain <dev-null@redhat.com> 1.0.1-0.1.0ea22adgit
- Update patches
- Fix race on slow environment

* Tue Oct 01 2019 OSP Prod Chain <dev-null@redhat.com> 1.0.1-0.1.5d13308git
- Update patches
- Update the constraints url

* Thu Feb 15 2018 RDO <dev@lists.rdoproject.org> 1.0.1-0.1.d6a749agit
- Update to pre-release 1.0.1 (d6a749ace464ad77684874d9e4216d9a3ef280e2)


